Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038778
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2018-06-18 11:462018-06-21 13:06
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond766c50c219a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tovmromanos
Regression introduced in release
Summary

0038778: n.p.e when creating Picking Tasks for DO Issue with more than 100 lines

DescriptionNot possible to create Picking Tasks for DO Issue with more than 100 lines
Steps To ReproduceExecute AWOzz_HighVolume Test class and check that a n.p.e. is thrown
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038806 closedAtulOpenbravo ADSequence not accessible error when creating Picking Tasks for DO Issue 

-  Notes
(0105192)
dmiguelez (developer)
2018-06-18 11:47

Test plan:

Execute AWOzz_HighVolume Test class and check that it ends correclty
(0105193)
hgbot (developer)
2018-06-18 12:27

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 5ce0d15d76fc0179d369a7f8bce474824ab10b53
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jun 18 12:27:06 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/5ce0d15d76fc0179d369a7f8bce474824ab10b53 [^]

Fixes issue 38778. Move flush after creation of Batch of Tasks
outside of the organization check. This is done to ensure
that the flush is always done, if not, an n.p.e. can be raised
afterwards.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/BatchOfTasksGenerator.java
---
(0105225)
vmromanos (manager)
2018-06-19 12:12

Code review OK
(0105244)
hgbot (developer)
2018-06-19 13:27

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 0ff8467e5540bd9c458472ab972503f968227a41
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Jun 19 12:37:28 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/0ff8467e5540bd9c458472ab972503f968227a41 [^]

Fixes issue 38778. Move flush after creation of Batch of Tasks
    outside of the organization check. This is done to ensure
    that the flush is always done, if not, an n.p.e. can be raised
    afterwards.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryTransactionTypeAlgorithm.java
---
(0105246)
hgbot (developer)
2018-06-19 13:27

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: d766c50c219a15e22ffa72a8ee6b04dd53fce9e4
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Jun 19 12:37:28 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/d766c50c219a15e22ffa72a8ee6b04dd53fce9e4 [^]

Fixes issue 38778. Move flush after creation of Batch of Tasks
    outside of the organization check. This is done to ensure
    that the flush is always done, if not, an n.p.e. can be raised
    afterwards.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryTransactionTypeAlgorithm.java
---

- Issue History
Date Modified Username Field Change
2018-06-18 11:46 dmiguelez New Issue
2018-06-18 11:46 dmiguelez Assigned To => dmiguelez
2018-06-18 11:47 dmiguelez Note Added: 0105192
2018-06-18 12:27 hgbot Checkin
2018-06-18 12:27 hgbot Note Added: 0105193
2018-06-18 12:27 hgbot Status new => resolved
2018-06-18 12:27 hgbot Resolution open => fixed
2018-06-18 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/5ce0d15d76fc0179d369a7f8bce474824ab10b53 [^]
2018-06-19 12:12 vmromanos Review Assigned To => vmromanos
2018-06-19 12:12 vmromanos Note Added: 0105225
2018-06-19 12:12 vmromanos Status resolved => closed
2018-06-19 13:27 hgbot Checkin
2018-06-19 13:27 hgbot Note Added: 0105244
2018-06-19 13:27 hgbot Status closed => resolved
2018-06-19 13:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/5ce0d15d76fc0179d369a7f8bce474824ab10b53 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/0ff8467e5540bd9c458472ab972503f968227a41 [^]
2018-06-19 13:27 hgbot Checkin
2018-06-19 13:27 hgbot Note Added: 0105246
2018-06-19 13:27 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/0ff8467e5540bd9c458472ab972503f968227a41 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/d766c50c219a15e22ffa72a8ee6b04dd53fce9e4 [^]
2018-06-19 13:28 vmromanos Status resolved => closed
2018-06-21 13:06 gorkaion Issue cloned 0038806
2018-06-21 13:06 gorkaion Relationship added related to 0038806


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker